CVE-2010-2197

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2010-2197
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2010-2197.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2010-2197
Published
2010-06-08T18:30:10Z
Modified
2024-06-30T12:01:22Z
Summary
[none]
Details

rpmbuild in RPM 4.8.0 and earlier does not properly parse the syntax of spec files, which allows user-assisted remote attackers to remove home directories via vectors involving a ;~ (semicolon tilde) sequence in a Name tag.

References

Affected packages

Debian:11 / rpm

Package

Name
rpm
Purl
pkg:deb/debian/rpm?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.8.1-1

Ecosystem specific

{
    "urgency": "low"
}

Debian:12 / rpm

Package

Name
rpm
Purl
pkg:deb/debian/rpm?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.8.1-1

Ecosystem specific

{
    "urgency": "low"
}

Debian:13 / rpm

Package

Name
rpm
Purl
pkg:deb/debian/rpm?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.8.1-1

Ecosystem specific

{
    "urgency": "low"
}